## openmotor 0.4.0

=== requirements.txt ===
appdirs==1.4.3
cycler==0.10.0
decorator==4.4.0
docopt==0.6.2
ezdxf==0.9
imageio==2.5.0
kiwisolver==1.0.1
matplotlib==3.0.3
networkx==2.3
numpy==1.16.2
Pillow==6.0.0
pyparsing==2.4.0
pyqt-distutils==0.7.3
PyQt5==5.12.1
PyQt5-sip==4.19.15
python-dateutil==2.8.0
PyWavelets==1.0.3
PyYAML==5.1
scikit-fmm==2019.1.30
scikit-image==0.15.0
scipy==1.2.1
six==1.12.0
sphinx==2.1.2

=== debian/changelog ===
openmotor (0.4.0-4) unstable; urgency=medium

  [Bdale Garbee]
  * respond to yaml.load warnings about missing Loader=, which broke startup
  * patch from Petter to get headless operation to at least not crash
  * add run-time dependencies
  * update test dependencies

  [Petter Reinholdtsen]
  * Added autopkgtest running in headless mode.
  * Added install rule for icon in binary package and use it in desktop file.
    (Closes: #980121)
  * Added MIME setup for OpenMotor to use application/vnd.openmotor+yaml for
    saved *.ric files.
  * Added autopkgtest for validating the MIME setup.
  * Updated Standards-Version from 4.5.0 to 4.5.1.

 -- Bdale Garbee <bdale@gag.com>  Mon, 01 Feb 2021 21:39:41 -0700

openmotor (0.4.0-3) unstable; urgency=medium

  * incorporate Petter's patch fixing the upstream home page

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Nov 2020 12:24:03 -0500

openmotor (0.4.0-2) unstable; urgency=medium

  * source-only upload to enable promotion to testing

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Nov 2020 12:16:53 -0500

openmotor (0.4.0-1) unstable; urgency=medium

  * Initial packaging for Debian, with thanks to Petter Reinholdtsen for
    his assistance, closes: #974161

 -- Bdale Garbee <bdale@gag.com>  Thu, 19 Nov 2020 01:05:47 -0700

=== debian/control ===
Source: openmotor
Section: science
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 13), dh-python, 
	pyqt5-dev-tools,
	python3-setuptools, 
	python3-all,
	python3-appdirs, 
	python3-cycler, 
	python3-decorator, 
	python3-docopt,
	python3-ezdxf, 
	python3-imageio, 
	python3-matplotlib, 
	python3-networkx, 
	python3-numpy, 
	python3-pyparsing,
	python3-pyqt-distutils,
	python3-pyqt5, 
	python3-pyqt5.sip, 
	python3-dateutil, 
	python3-scikit-fmm,
	python3-skimage, 
	python3-scipy, 
	python3-six, 
	python3-sphinx, 
	python3-willow,
	python3-yaml
Standards-Version: 4.5.1
Homepage: https://github.com/reilleya/openMotor/
Vcs-Browser: https://salsa.debian.org/debian/openmotor
Vcs-Git: https://salsa.debian.org/debian/openmotor.git
Rules-Requires-Root: no

Package: openmotor
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
	python3-appdirs,
	python3-cycler,
	python3-decorator,
	python3-docopt,
	python3-ezdxf,
	python3-imageio,
	python3-matplotlib,
	python3-networkx,
	python3-numpy,
	python3-pyparsing,
	python3-pyqt5,
	python3-pyqt5.sip,
	python3-dateutil,
	python3-scikit-fmm,
	python3-skimage,
	python3-scipy,
	python3-six,
	python3-sphinx,
	python3-willow,
	python3-yaml
Description: internal ballistics simulator for rocket motor experimenters
 openMotor is an open-source internal ballistics simulator for rocket motor 
 experimenters. The software produces estimates of a rocket motor's chamber 
 pressure and thrust based on input such as propellant properties and grain 
 geometry. It uses the Fast Marching Method to determine how a propellant 
 grain regresses, which allows the use of arbitrary core geometries. 
 .
 Current Features:
   * Metric and imperial units
   * Support for common grain geometries such as BATES, Finocyl, Star and more
   * Loading custom grain geometry from DXF files
   * A propellant editor that allows the user to enter the properties of as 
     many propellants as they wish
   * The grain editor displays how a grain will regress to cut down on the 
     guesswork involved in tweaking geometry
   * ENG file exporting
   * Burnsim importing and exporting
   * A UI that supports saving and loading designs along with undo and redo.
 .
 Planned Features:
   * Erosivity simulation
   * Detailed output of every calculated parameter at any time and position 
     along the motor

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=openmotor
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build_ui
	touch uilib/views/__init__.py
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	# Remove scripts created during build
	$(RM) uilib/views/*.py

# If you need to rebuild the Sphinx documentation
# Add sphinxdoc to the dh --with line
#
# And uncomment the following lines
#override_dh_auto_build: export http_proxy=127.0.0.1:9
#override_dh_auto_build: export https_proxy=127.0.0.1:9
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

=== debian/tests/control ===
Tests: test-command-line, test-mime-desktop
Depends: @, xdg-utils, shared-mime-info, mailcap, libfile-mimeinfo-perl
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/reilleya/openMotor/releases \
.*/archive/v?(\d\S*)\.tar\.gz

## openmotor 0.5.0

=== requirements.txt ===
appdirs
cycler
decorator
docopt
ezdxf
imageio
matplotlib
networkx
numpy
Pillow
pyparsing
pyqt-distutils
PyQt5
PyQt5-sip
python-dateutil
PyYAML
scikit-fmm
scikit-image
scipy
six
sphinx

=== debian/changelog ===
openmotor (0.5.0-3) unstable; urgency=medium

  * replace appdirs with platformdirs, closes: #1067977

 -- Bdale Garbee <bdale@gag.com>  Sat, 24 Aug 2024 22:04:09 -0600

openmotor (0.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Petter Reinholdtsen ]
  * Use correct Keywords notation in desktop file.
  * Updated Standards-Version from 4.6.1 to 4.6.2.
  * Adjusted d/watch to work with github.

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 09:42:14 -0700

openmotor (0.5.0-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * new upstream release
  * implement Petter's suggestion for HOME pointing to nonexisting directory

  [ Petter Reinholdtsen ]
  * Updated d/watch to work with latest github.
  * Updated Standards-Version from 4.5.1 to 4.6.0.
  * Removed trailing space from d/control.
  * Removed unwanted quotes in mailcap entry.  Thanks lintian.
  * Added some keywords to the desktop file.
  * Added upstream metadata for the project.

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2022 11:10:13 -0600

=== debian/control ===
Source: openmotor
Section: science
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 13), dh-python,
	pyqt5-dev-tools,
	python3-setuptools,
	python3-all,
	python3-cycler,
	python3-decorator,
	python3-docopt,
	python3-ezdxf,
	python3-imageio,
	python3-matplotlib,
	python3-networkx,
	python3-numpy,
	python3-platformdirs,
	python3-pyparsing,
	python3-pyqt-distutils,
	python3-pyqt5,
	python3-pyqt5.sip,
	python3-dateutil,
	python3-scikit-fmm,
	python3-skimage,
	python3-scipy,
	python3-six,
	python3-sphinx,
	python3-willow,
	python3-yaml
Standards-Version: 4.6.2
Homepage: https://github.com/reilleya/openMotor/
Vcs-Browser: https://salsa.debian.org/debian/openmotor
Vcs-Git: https://salsa.debian.org/debian/openmotor.git
Rules-Requires-Root: no

Package: openmotor
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
	python3-cycler,
	python3-decorator,
	python3-docopt,
	python3-ezdxf,
	python3-imageio,
	python3-matplotlib,
	python3-networkx,
	python3-numpy,
	python3-platformdirs,
	python3-pyparsing,
	python3-pyqt5,
	python3-pyqt5.sip,
	python3-dateutil,
	python3-scikit-fmm,
	python3-skimage,
	python3-scipy,
	python3-six,
	python3-sphinx,
	python3-willow,
	python3-yaml
Description: internal ballistics simulator for rocket motor experimenters
 openMotor is an open-source internal ballistics simulator for rocket motor
 experimenters. The software produces estimates of a rocket motor's chamber
 pressure and thrust based on input such as propellant properties and grain
 geometry. It uses the Fast Marching Method to determine how a propellant
 grain regresses, which allows the use of arbitrary core geometries.
 .
 Current Features:
   * Metric and imperial units
   * Support for common grain geometries such as BATES, Finocyl, Star and more
   * Loading custom grain geometry from DXF files
   * A propellant editor that allows the user to enter the properties of as
     many propellants as they wish
   * The grain editor displays how a grain will regress to cut down on the
     guesswork involved in tweaking geometry
   * ENG file exporting
   * Burnsim importing and exporting
   * A UI that supports saving and loading designs along with undo and redo.
 .
 Planned Features:
   * Erosivity simulation
   * Detailed output of every calculated parameter at any time and position
     along the motor

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openMotor-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/reilleya/openMotor/tags .*/v?(\d\S*)\.tar\.gz

## openmotor 0.6.0

=== requirements.txt ===
cycler==0.11.0
decorator==5.1.1
docopt==0.6.2
ezdxf==1.0.3
imageio==2.31.0
matplotlib==3.7.1
networkx==3.1
numpy==1.24.3
Pillow==9.5.0
platformdirs==4.2.2
pyparsing==3.0.9
pyqt-distutils==0.7.3
PyQt6==6.7.1
PyQt6-sip==13.8.0
python-dateutil==2.8.2
PyYAML==6.0
scikit-fmm==2023.4.2
scikit-image==0.18.3
scipy==1.10.1
six==1.16.0
sphinx==7.0.1

=== debian/changelog ===
openmotor (0.6.0-3) unstable; urgency=medium

  * eliminate failing autopkgtest for now

 -- Bdale Garbee <bdale@gag.com>  Wed, 07 May 2025 00:12:22 -0600

openmotor (0.6.0-2) unstable; urgency=medium

  * fix one more Qt5 reference

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 May 2025 17:39:03 -0600

openmotor (0.6.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 02 May 2025 20:52:32 -0600

openmotor (0.5.0-5) unstable; urgency=high

  * remove obsolete python3-appdirs build dep

 -- Bdale Garbee <bdale@gag.com>  Thu, 01 May 2025 17:47:19 -0600

openmotor (0.5.0-4) unstable; urgency=medium

  * rebuild to get around buggy deps?

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Apr 2025 13:02:24 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper-compat (= 13), dh-python,
-	pyqt5-dev-tools,
+	pyqt6-dev-tools,
 	python3-setuptools,
 	python3-all,
 	python3-cycler,
@@ -17,13 +17,12 @@
 	python3-platformdirs,
 	python3-pyparsing,
 	python3-pyqt-distutils,
-	python3-pyqt5,
-	python3-pyqt5.sip,
+	python3-pyqt6,
+	python3-pyqt6.sip,
 	python3-dateutil,
 	python3-scikit-fmm,
 	python3-skimage,
 	python3-scipy,
-	python3-six,
 	python3-sphinx,
 	python3-willow,
 	python3-yaml
@@ -46,13 +45,12 @@
 	python3-numpy,
 	python3-platformdirs,
 	python3-pyparsing,
-	python3-pyqt5,
-	python3-pyqt5.sip,
+	python3-pyqt6,
+	python3-pyqt6.sip,
 	python3-dateutil,
 	python3-scikit-fmm,
 	python3-skimage,
 	python3-scipy,
-	python3-six,
 	python3-sphinx,
 	python3-willow,
 	python3-yaml

=== debian/tests/control ===
Tests: test-mime-desktop
Depends: @, xdg-utils, shared-mime-info, mailcap, libfile-mimeinfo-perl
Restrictions: allow-stderr

## openmotor 0.6.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cycler==0.11.0
+cython == 3.0.11
 decorator==5.1.1
 docopt==0.6.2
-ezdxf==1.0.3
+ezdxf==1.4.0
 imageio==2.31.0
 matplotlib==3.7.1
 networkx==3.1

=== debian/changelog ===
openmotor (0.6.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 18 Dec 2025 13:48:12 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper-compat (= 13), dh-python,
+	cython3,
 	pyqt6-dev-tools,
 	python3-setuptools,
-	python3-all,
+	python3-all-dev,
 	python3-cycler,
 	python3-decorator,
 	python3-docopt,
@@ -14,6 +15,7 @@
 	python3-matplotlib,
 	python3-networkx,
 	python3-numpy,
+	python3-numpy-dev,
 	python3-platformdirs,
 	python3-pyparsing,
 	python3-pyqt-distutils,
@@ -33,8 +35,8 @@
 Rules-Requires-Root: no
 
 Package: openmotor
-Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
 	python3-cycler,
 	python3-decorator,
 	python3-docopt,

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+execute_before_dh_python3:
+	dh_numpy3
+
 override_dh_auto_build:
-	python3 setup.py build_ui
+	export TMPHOME="$(tempfile -d)"; HOME="$TMPHOME" python3 setup.py build_ui; rm -rf $TMPHOME
 	touch uilib/views/__init__.py
 	dh_auto_build
